Fonctionnalités Tarifs Régions Support Essai gratuit Connexion EN

Récupérer un run

Récupère un run par son identifiant, avec les statistiques complètes.

GET /v1/runs/{id}

Scope requis : runs:read

Paramètres de chemin

ParamètreTypeRequisDescription
id integer Requis Identifiant du run.

Exemple de requête

curl https://api.cache-boost.com/v1/runs/88 \
  -H "Authorization: Bearer cb_live_YOUR_KEY"

Réponse

Retourne 200 OK avec l'objet run incluant le nom du boost et l'identifiant du site.

{
  "id": 88,
  "boost_id": 15,
  "boost_name": "Daily warm",
  "site_id": 42,
  "status": "done",
  "status_message": null,
  "started_at": "2025-01-15T01:00:05Z",
  "finished_at": "2025-01-15T01:04:22Z",
  "summary": {
    "total_calls": 1240,
    "successful_calls": 1238,
    "failed_calls": 2,
    "cache_hits": 1165,
    "average_response_time_ms": 112.5,
    "pops": {"CDG": 620, "AMS": 618}
  },
  "created_at": "2025-01-15T01:00:00Z"
}

Erreurs

CodeDescription
401Clé API manquante ou invalide.
403Scope insuffisant ou accès refusé.
404Run introuvable.